package jsonc

import (
	"gadmin/internal/jsonc/conv"
	"github.com/sirupsen/logrus"
)

var (
	convertList = []conv.ConvertStrategy{
		//conv.Goods,
		conv.Chapter,
		//conv.Role,
		//conv.PlayLevel,
		conv.Item,
		conv.Rune,
		conv.Legend,
		//conv.Antique,
		//conv.Talents,
		//conv.Equipment,
		//conv.Activity,
		//conv.Seven,
		//conv.LimitGift,
		//conv.Server,
		//conv.Treasure,
		//conv.GrandMaster,
		//conv.ExsKill,
	}
)

func Run(version string) {
	logrus.Info("init version:", version)
	for _, convert := range convertList {
		convert.Extract(version)
	}
}
